Please merge avahi 0.6.23-4(main) from debian unstable

Bug #308856 reported by Bhavani Shankar on 2008-12-17
2
Affects Status Importance Assigned to Milestone
avahi (Ubuntu)
Undecided
Unassigned

Bug Description

Debian has a new version to be merged

avahi (0.6.23-4) unstable; urgency=low

  * debian/avahi-{daemon,dnsconfd}.postinst
    - When upgrading the init script priorities, check if the service is
      enabled for the default runlevel before removing the old init script
      symlinks to avoid accidentally re-enabling it. (Closes: #499815)

 -- Michael Biebl <email address hidden> Wed, 14 Jan 2009 23:22:59 +0100

avahi (0.6.23-3) unstable; urgency=low

  [ Loic Minier ]
  * Generate a POT file during build; helps downstreams such as Ubuntu import
    an always up-to-date pot, even we patch the source of upstream forgets to
    do so; from Ubuntu; thanks Martin Pitt; closes: #486908.

  [ Michael Biebl ]
  * debian/avahi-daemon-check-dns.sh
    - Fix quoting error in dns_has_local().
      Thanks to James Westby for the patch. (Closes: #492466)

  [ Sjoerd Simons ]
  * debian/patches/14_CVE-2008-5081.patch
    - Added. Don't abort on receiving an UDP packet with a source port of zero.
      Fixes CVE-2008-5081 (Closes: #508700)

 -- Sjoerd Simons <email address hidden> Sun, 14 Dec 2008 19:39:58 +0000

Related branches

CVE References

Bhavani Shankar (bhavi) wrote :
Changed in avahi:
status: New → Confirmed
Jamie Strandboge (jdstrand) wrote :

Removed the CVE link since 0.6.23-2ubuntu3 has been uploaded with a patch for it.

Bhavani Shankar (bhavi) wrote :

Okay! here is the updated diff:

Bhavani Shankar (bhavi) wrote :

Updated diff against the current version:

description: updated
Bryce Harrington (bryce) wrote :

Looks good, upload sponsored.

Changed in avahi:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avahi - 0.6.23-4ubuntu1

---------------
avahi (0.6.23-4ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #308856
    - debian/patches/01_avahi-daemon.conf.patch: Disable IPv6. According to
      upstream it is not ready yet and causes hiccups.
    - debian/rules: Create an up to date PO template during build.
    - debian/control: Build against libcap-dev instead of libcap2-dev
    - debian/patches/80_CVE-2008-5081.patch: verify port is > 0 in server.c

avahi (0.6.23-4) unstable; urgency=low

  * debian/avahi-{daemon,dnsconfd}.postinst
    - When upgrading the init script priorities, check if the service is
      enabled for the default runlevel before removing the old init script
      symlinks to avoid accidentally re-enabling it. (Closes: #499815)

avahi (0.6.23-3) unstable; urgency=low

  [ Loic Minier ]
  * Generate a POT file during build; helps downstreams such as Ubuntu import
    an always up-to-date pot, even we patch the source of upstream forgets to
    do so; from Ubuntu; thanks Martin Pitt; closes: #486908.

  [ Michael Biebl ]
  * debian/avahi-daemon-check-dns.sh
    - Fix quoting error in dns_has_local().
      Thanks to James Westby for the patch. (Closes: #492466)

  [ Sjoerd Simons ]
  * debian/patches/14_CVE-2008-5081.patch
    - Added. Don't abort on receiving an UDP packet with a source port of zero.
      Fixes CVE-2008-5081 (Closes: #508700)

 -- Bhavani Shankar <email address hidden> Sat, 17 Jan 2009 23:34:07 +0530

Changed in avahi:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers